const unsigned int RedPin = 6;   
const unsigned int GreenPin = 5; 
const unsigned int BluedPin = 3; 
void setup() {
  pinMode(RedPin, OUTPUT);
  pinMode(GreenPin, OUTPUT);
  pinMode(BluedPin, OUTPUT);
}
void loop()
{
  setColor(255, 0, 0); // Red Color
  delay(1000);
  setColor(0, 255, 0); // Green Color
  delay(1000);
  setColor(0, 0, 255); // Blue Color
  delay(1000);
  setColor(255, 255, 255); // White Color
  delay(1000);
  setColor(170, 0, 255); // Purple Color
  delay(3000);
}
void setColor(int redValue, int greenValue, int blueValue) {
  analogWrite(RedPin, redValue);
  analogWrite(GreenPin, greenValue);
  analogWrite(BluedPin, blueValue);
}
